FreeMat

- Main Page
- Related Pages

vtkGeoGlobeSource

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoGlobeSource is a 3D vtkGeoSource suitable for use in vtkGeoTerrain. It uses the vtkGlobeSource filter to produce terrain patches.

To create an instance of class vtkGeoGlobeSource, simply invoke its constructor as follows

      obj = vtkGeoGlobeSource

# Methods

The class vtkGeoGlobeSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoGlobeSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoGlobeSource = obj.NewInstance ()`
- `vtkGeoGlobeSource = obj.SafeDownCast (vtkObject o)`
- `bool = obj.FetchRoot (vtkGeoTreeNode root)` - Fetches a low-resolution sphere for the entire globe.
- `bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)` - Fetches a refined geometry patch, a section of a sphere.